<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
               "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
lang="en" xml:lang="en">
<head>
<title>List of releases - jabber.el</title>
<meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1"/>
<meta name="generator" content="Org-mode"/>
<meta name="generated" content="2009/01/31 3:00:13 AM"/>
<meta name="author" content=""/>
<style type="text/css">
  html {
	font-family: Times, serif;
	font-size: 12pt;
  }
  .title { text-align: center; }
  .todo  { color: red; }
  .done { color: green; }
  .timestamp { color: grey }
  .timestamp-kwd { color: CadetBlue }
  .tag { background-color:lightblue; font-weight:normal }
  .target { background-color: lavender; }
  pre {
	border: 1pt solid #AEBDCC;
	background-color: #F3F5F7;
	padding: 5pt;
	font-family: courier, monospace;
  }
  table { border-collapse: collapse; }
  td, th {
	vertical-align: top;
	<!--border: 1pt solid #ADB9CC;-->
  }
</style>
</head><body>
<h1 class="title">List of releases - jabber.el</h1>
<a href="index.html">Back to main page</a>



<h3>version 0.7.1 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=482983">31-Jan-2007</a></h3>

<ul>
<li>STARTTLS</li>
<li>SRV records (requires No Gnus)</li>
<li>Message composition buffer</li>
<li>XMPP URIs are handled (see <a href="manual-0.7.1/XMPP-URIs.html">manual</a> for setup)</li>
<li>Autoaway</li>
<li>MUC improvements

<ul>
<li>Don't display alerts for your own messages</li>
<li>Presence changes are sent to MUC rooms too</li>
<li>Check room features before joining</li>
</ul>

<li>Avatars</li>

<li>File transfer</li>

<li>Sound files per contact for alerts</li>

<li>New function: jabber-send-directed-presence</li>

<li>Entity time supported (XEP-0090)</li>

<li>Last activity supported (XEP-0012)</li>
</ul>

<p>Read the <a href="manual-0.7.1/">manual</a>.</p>


<h3>version 0.7 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=381160">27-Dec-2005</a></h3>

<ul>
<li>SSL connections possible</li>
<li>Chat buffers rewritten</li>
<li>MUC improved</li>
<li>Global key bindings under C-x C-j</li>
<li>Vcard viewer and editor</li>
<li>Roster export</li>
<li>Message events (JEP-0022)</li>
<li>Easy way to define external notifiers</li>
<li>Activity mode improved</li>
<li>Roster display optimized</li>
<li>Optionally use per-contact history files</li>
<li>Jabber menu in menubar not enabled by default</li>
<li>Flyspell in chat buffers</li>
<li>Different time formats for instant and delayed messages</li>
<li>Chat buffers in inactive windows are scrolled</li>
<li>Roster is sorted by name also</li>
<li>Countless bugfixes</li>
</ul>

<p>Read the <a href="http://emacs-jabber.sourceforge.net/manual-0.7/">manual</a>.</p>

<h3>version 0.6.1 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=292750">27-Dec-2004</a></h3>

<ul>
<li>Now works with ejabberd</li>
<li>Message history (Mathias Dahl)</li>
<li>Backlogs</li>
<li>Activity tracking on the mode line (Carl Henrik Lunde)</li>
<li>Receive an alert when a specific person goes online (Mathias Dahl)</li>
<li>Support for /me in chats (Nolan Eakins)</li>
<li>Message alerts for current buffer can be disabled</li>
<li>Basic moderation support in MUC</li>
<li>MUC alerts are separated from ordinary message alerts</li>
</ul>

<p>Read the
<a href="http://emacs-jabber.sourceforge.net/manual-0.6.1/">manual</a>,
in which there is now a section on
<a href="http://emacs-jabber.sourceforge.net/manual-0.6.1/Protocol-support.html">protocol support</a>.</p>

<h3>version 0.6 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=275815">17-Oct-2004</a></h3>

<ul>
<li>Chat buffers no longer use the minibuffer, making it easier to use
  ordinary editor commands and to pause writing halfway</li>
<li>The roster display and the chat buffer prompts are now customizable</li>
<li>The online status of the contact is displayed in the chat buffer
  (Emacs only)</li>
<li>The connect function automatically sends presence after connecting</li>
<li>The names of the roster buffer and chat buffers are customizable</li>
<li>RET and C-k do what you would expect in the roster buffer</li>
</ul>

<p>Read the <a href="http://emacs-jabber.sourceforge.net/manual-0.6/">manual</a>.</p>

<h3>version 0.5.1 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=236857">08-May-2004</a></h3>

<ul>
<li>Nicknames are accepted whenever a JID is asked for.</li>
<li>Roster entry spacing is customizable (default is none)</li>
<li>Bug fix regarding mixed-case JIDs</li>
<li>Experimental code for receiving files - see the README</li>
<li>Read the <a href="http://emacs-jabber.sourceforge.net/manual-0.5.1/">manual</a></li>
</ul>

<h3>version 0.5 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=228471">03-April-2004</a></h3>

<ul>
<li>Modular design; plugins easier to write</li>
<li>Support for Ad-Hoc Commands and setting presence remotely</li>
<li><a href="manual-0.5/">Browse documentation here</a></li>
</ul>

<h3>version 0.4.1 - <a href="http://sourceforge.net/project/showfiles.php?group_id=88346&amp;package_id=92339&amp;release_id=217577">16-February-2004</a></h3>
<ul>
<li> XEmacs support - basically works, needs testing and care.</li>
<li> "Set status" menu fixed</li>
</ul>

<h3>version 0.4 - 05-February-2004</h3>
<ul>
<li> SHA-1 password hashing</li>
<li> customisation hooks</li>
<li> browsing improved</li>
<li> added service discovery</li>
<li> added in-band registration</li>
<li> added searching</li>
<li> <a href="/emacs-jabber/jabber.html">new manual</a></li>
</ul>
<h3>version 0.3 - 21-April-2002</h3>
<ul>
<li> improved groupchat support (thanks to nimrod for tip)</li>
<li> improved roster (buddy-list) display</li>
<li> infoquery rewritten - great improvement</li>
<li> improved minimal browsing support !</li>
<li> added customizable faces</li>
<li> added more customizable variables</li>
<li> more (helpful) comments in code</li>
<li> added explicit licensing (GPL, like emacs itself)</li>
</ul><br>
<h3>version 0.2 - 05-April-2002</h3>
<ul>
<li> added groupchat support !</li>
<li> added minimal browsing support !</li>
<li> fixed bug in chat mode</li>
<li> abolished message mode (i only use chat mode anyway)</li>
<li> fixed some problems with incoming xml</li>
<li> added a pull-down menu</li>
<li> added customizable variables</li>
</ul><br>
<br>
<h3>features currently missing (TODO)</h3>
<ul>
<li> global keymaps</li>
<li> logging (history)</li>
<li> overall exception handling</li>
<li> sanity checks (for incoming xml, and for myself :)</li>
<li> clickable URLs in messages</li>
<li> support for versions other than gnu-emacs-21 (older emacs, xemacs, jemacs)</li>
<li> and more...</li>
</ul><br>

<div id="postamble"><p class="date"> Date: 2009/01/31 3:00:13 AM</p>
</div></body>
</html>
